import { VegaRTEExtensionRenderer } from '../../base-extension-renderer';
/**
 * Renders a table body block in the rich text editor.
 */
export class RTETableBodyRenderer extends VegaRTEExtensionRenderer {
  /**
   * @inheritDoc
   */
  doRender(h, renderData) {
    return h('tbody', {
      key: renderData.id,
      ref: this.useRef(renderData),
    });
  }
}
